Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nat.convertisseur
Class Convertisseur

    java.lang.Object
      nat.convertisseur.Convertisseur

Direct Known Subclasses:
  ConvertisseurTexte, ConvertisseurXML

    public abstract class Convertisseur

extends java.lang.Object

Field Summary
`protected java.lang.String` | `cible`
`protected java.lang.String` | `DTD`
`protected int` | `nbCars`
`protected int` | `nbMots`
`protected int` | `nbPhrases`
`protected java.lang.String` | `source`
`protected long` | `tempsExecution`

Constructor Summary
`Convertisseur()`
`Convertisseur(java.lang.String src, java.lang.String c)`

Method Summary
`abstract boolean` | `Convertir(GestionnaireErreur gest)`
`long` | `donneTempsExecution()`
`void` | `SetCible(java.lang.String c)`
`void` | `SetDTD(java.lang.String laDTD)`
`void` | `setFormat(int f)`
`void` | `SetSource(java.lang.String src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.lang.String source

### cible

    protected java.lang.String cible

### nbCars

    protected int nbCars

### nbMots

    protected int nbMots

### nbPhrases

    protected int nbPhrases

### tempsExecution

    protected long tempsExecution

### DTD

    protected java.lang.String DTD

Constructor Detail

### Convertisseur

    public Convertisseur()

### Convertisseur

    public Convertisseur(java.lang.String src,
                         java.lang.String c)

Method Detail

### SetSource

    public void SetSource(java.lang.String src)

### SetDTD

    public void SetDTD(java.lang.String laDTD)

### SetCible

    public void SetCible(java.lang.String c)

### setFormat

    public void setFormat(int f)

### donneTempsExecution

    public long donneTempsExecution()

### Convertir

    public abstract boolean Convertir(GestionnaireErreur gest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD